Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.apphttps://kyc-api.surepass.app| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token (JWT) for API authentication |
| Content-Type | Yes | Must be application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| mobile_number | string | Yes | Mobile number with country code (e.g. for India (91)) |
{
"mobile_number": "919682439234"
}| Parameter | Type | Description |
|---|---|---|
| client_id | string | Unique identifier for the HLR request |
| mobile_number | string | The mobile number queried |
| is_valid | boolean | Indicates if the number is valid |
| number_type | string | Type of number (e.g., MOBILE, LANDLINE) |
| original_operator | object | Original operator details |
| current_operator | object | Current operator details |
| operator | string | Operator name |
| circle | string | Telecom circle/region |
| is_ported | boolean | Indicates if the number has been ported |
| number_status | string | Status of the number |
original_operator / current_operator Object Fields| Parameter | Type | Description |
|---|---|---|
| name | string | Name of the operator |
| mcc_mnc | string | MCC-MNC code of the operator |
| country | string | Country of the operator |
| Status Value | Alternative Name | Description |
|---|---|---|
| ACTIVE | OPERATIONAL | Number is active and able to receive calls or messages. |
| INACTIVE | DISCONNECTED | Number is disconnected and cannot receive communication. |
| TEMPORARILY_UNAVAILABLE | UNREACHABLE | Number is temporarily unreachable (e.g., phone off). |
| NO_SMS_SERVICE | DISABLED | Number cannot receive SMS messages. |
| NETWORK_UNAVAILABLE | NOT_AVAILABLE | Network does not provide full status information. |
| NO_COVERAGE_INFO | UNKNOWN | Coverage status cannot be determined. |
| NOT_APPLICABLE | INVALID | Status check is not applicable for this number. |
| UNDETERMINED | UNABLE_TO_VERIFY | Current status of the number cannot be determined. |
{
"data": {
"client_id": "telecom_hlr_kWRWvgRBRzeKyKKiiFlF",
"mobile_number": "919682439234",
"is_valid": true,
"number_type": "MOBILE",
"original_operator": {
"name": "Vodafone - Delhi & NCR",
"mcc_mnc": "40411",
"country": "India"
},
"current_operator": {
"name": "Vodafone - Delhi & NCR",
"mcc_mnc": "40411",
"country": "India"
},
"operator": "Vodafone",
"circle": "Delhi & NCR",
"is_ported": false,
"number_status": "UNDETERMINED"
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}{
"status_code": 422,
"success": false,
"message": "Invalid Mobile Number Format. Please Enter A Valid Number With Country Code",
"message_code": "invalid_mobile_number_format"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/telecom/hlr' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"mobile_number": "919682439234"
}'{
"data": {
"client_id": "telecom_hlr_kWRWvgRBRzeKyKKiiFlF",
"mobile_number": "919682439234",
"is_valid": true,
"number_type": "MOBILE",
"original_operator": {
"name": "Vodafone - Delhi & NCR",
"mcc_mnc": "40411",
"country": "India"
},
"current_operator": {
"name": "Vodafone - Delhi & NCR",
"mcc_mnc": "40411",
"country": "India"
},
"operator": "Vodafone",
"circle": "Delhi & NCR",
"is_ported": false,
"number_status": "UNDETERMINED"
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}